{% extends "header.html" %}

{% block title %}GCT | Signup{% endblock %}
{% block content %}
    <nav id="mainNav" class="navbar navbar-default navbar-fixed-top">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div>
                <a class="navbar-brand page-scroll" href="{% url 'index' %}"><p
                        style="color:#128c74;font-family:'Open Sans','Helvetica Neue',Arial,sans-serif;font-weight: bolder">
                    GCT PORTAL</p></a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->

            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>
    {% load static %}
    <link rel="icon" type="image/png" href="{% static 'img/gctb.png' %}">
    <div class="login" style="margin-top:70px;">
        <div class="login_wrapper">
            <div class="animate form login_form">
                <section class="login_content">
                    {% if form1 %}
                        <!-- Display Form -->
                        <form method="POST" enctype="multipart/form-data">
                            <h1 style="font-family: Righteous;font-size: 30px;"> Sign Up </h1>
                            {% csrf_token %}
                            {% if error == 'pwd_student' %}
                                <div role="alert" class="alert alert-danger alert-dismissible fade in">
                                    <button aria-label="Close" data-dismiss="alert" class="close" type="button">
                                        <span aria-hidden="true">×</span>
                                    </button>
                                    <strong> Password Mismatch! </strong>
                                </div>
                            {% endif %}
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                {% for field in form1 %}
                                    {{ field }}
                                    {% for error in field.errors %}
                                        <span class="help-block">
                                                {{ error|escape }}
                                            </span>
                                    {% endfor %}
                                {% endfor %}
                            </div>
                            <div class="">
                                <div id="gender" class="btn-group" data-toggle="buttons">
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="acc_type" value="staff" type="radio" required> &nbsp;
                                        I' m a staff &nbsp;
                                    </label>
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="acc_type" value="student" type="radio"> I' m a student
                                    </label>
                                </div>
                            </div>
                            <br><br>
                            <button style="font-family: 'Josefin Sans';font-weight: bolder" type="submit"
                                    class="save btn btn-lg btn-success" name="student_register"
                                    value="student"> Create Account
                            </button>
                            <div class="clearfix"></div>
                            <div class="separator" style="margin-bottom:60px;">
                                <p style="font-family: Oxygen;" class="change_link">Already a member?
                                    <a href="{% url 'login' %}"> Login here</a>
                                </p>

                                <div class="clearfix"></div>
                                <br/>

                                <div>
                                    {% load static %}
                                    <a href={% url 'homelogout' %}><img id="logo" src="{% static "img/gctb.png" %}"
                                                                        width="40" height="48" alt="gct image"/></a>
                                    <span><a style="text-decoration: none;color: black;" href={% url 'homelogout' %}><h1
                                            id="logotitle"
                                            style="font-family:'Open Sans','Helvetica Neue',Arial,sans-serif;"> GCT Portal</h1></a></span>
                                    <p style="font-family: Raleway;">©2016 All Rights Reserved. GCT PORTAL - a project
                                        by automators!</p>
                                </div>
                            </div>
                        </form>
                    {% endif %}


                </section>

            </div>
        </div>
    </div>
    <div id="footer"
         style="position: fixed; bottom: 0px; width: 100%; height: 60px; background-color: rgb(245, 245, 245); color: rgb(18, 140, 116); font-family: 'Open Sans','Helvetica Neue',Arial,sans-serif; font-weight: bolder; padding-top: 20px; z-index: 1030; box-shadow: 0px -1px 5px rgba(0, 0, 0, 0.25), 0px 1px 0px rgba(255, 255, 255, 0.15) inset;">
        <p align="right" style="font-size:16px;color:#128c74;padding-right: 20px" class="text-muted credit"><a
                style="color:#128c74;text-decoration: none" href="{% url 'developers' %}">Developers</a></p>
    </div>

    <style type="text/css">
        .blink {
            animation-duration: 1s;
            animation-name: blink;
            animation-iteration-count: infinite;
            animation-direction: alternate;
            animation-timing-function: ease-in-out;
        }

        @keyframes blink {
            0% {
                color: #0c1fef;
            }
            50% {
                color: #1bffd3;
            }
            75% {
                color: #e08218;
            }
            100% {
                color: #088005;
            }
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function () {
            //Disable cut copy paste
            $('body').bind('cut copy paste', function (e) {
                e.preventDefault();
            });

            //Disable mouse right click
            $("body").on("contextmenu", function (e) {
                return false;
            });
        });
    </script>

{% endblock %}